
function getInputs()
{
    var inputs = document.getElementsByTagName('input');
    var retJson = '';
    var count = inputs.length;
    for (var i = 0; i < count; i++) {
        var elem = inputs[i];
        var type = elem.getAttribute('type');
        var desc = elem.parentNode.innerText;
        if( type == 'text' || type == 'hidden' || type == 'number')
        {
            var name = elem.getAttribute('name');
            var value = elem.value;
            if(!(name == 'year' || name == 'month' || name == 'day')){
                if(desc == null){
                    desc = '';
                }
                if(name == null){
                    name ='';
                }
                if(value == null){
                    value ='';
                }
                if(retJson.length > 0){
                    retJson = retJson + ';' + name + '|' + value + '|' + desc;
                }else{
                    retJson = retJson + name + '|' + value + '|' + desc;
                }
            }
        }
    }
    return retJson;
}

function handleForPreview()
{
    var url = location.href;
    var index = url.indexOf("?forPreview=1");
    if( index != -1 )
    {
        var inputs = document.getElementsByTagName("input");
        for( i = 0; i < inputs.length; i++ )
        {
            var input = inputs[i];
            input.setAttribute("readonly", "readonly");
        }

        var divs = document.getElementsByTagName("div");
        for( i = 0; i < divs.length; i++ )
        {
            var div = divs[i];
            if( div.className == 'hide-box hide' )
            {
                div.setAttribute("class", "hide-box");
            }
        }

        var links = document.getElementsByTagName("a");
        for( i = links.length-1; i >= 0; i-- )
        {
            var link = links[i];
            var parent = link.parentNode;
            parent.removeChild(link);
        }
    }
}

function setInputs(inputs)
{
    console.log('inputs' + inputs)
    var keyValues = inputs.split(";");
    console.log('keyValues' + keyValues)
    for( var i = 0; i < keyValues.length; i++ )
    {
        var keyValue = keyValues[i];
        var components = keyValue.split("|");
        var key = components[0];
        var value = components[1];
        if( !(key.length>0 && value.length>0) )
        {
            continue;
        }

        var elems = document.getElementsByName(key);
        if( elems.length == 0 )
        {
            continue;
        }
        var elem = elems[0];
        var type = elem.getAttribute("type");
        if( type == "text" )
        {
            elem.value = value;
        }
        else if(type == "number"){
            elem.value = value;
        }
        else if( type == "hidden" )
        {
            elem.value = value;
            updateDate(key,value);
        }
    }
}


function updateDate(dateId, dateValue)
{
    var hiddenElement = document.getElementById(dateId);
    var dayElement = document.getElementById(dateId + "_day");
    var monthElement = document.getElementById(dateId + "_month");
    var yearElement = document.getElementById(dateId + "_year");
    var components = dateValue.split("-");
    yearElement.value = components[0];
    monthElement.value = components[1];
    dayElement.value = components[2];
    hiddenElement.value = dateValue;
}

function setHeight(height)
{
    var contaier = document.getElementById("contaier");
    contaier.style.height = height;
}

function anchors()
{
    var result = [];
    for( i = 0; i< document.anchors.length; i++ )
    {
        var anchor = document.anchors[i];
        if( anchor.className == "anchor" )
        {
            result.push(anchor.name);
        }
    }
    return result.toString();
}

function gotoAnchor(anchorName)
{
    window.location.href = "#" + anchorName;
}

function getAnchorTopPosition(){
    var result = [];
    for( i = 0; i< document.anchors.length; i++ )
    {
         var anchor = document.anchors[i];
         if( anchor.className == "anchor")
         {
             result.push(anchor.offsetTop);
         }
    }
    return result.toString();
}

function onUploadFileSucceeded(filePath, fileId, tagId)
{
    var div = document.getElementById(tagId);
    var html = "";
    html += "<image src='" + filePath + "' class='fileImage' />";
    html += "<input type='button' class='fileDeleteBtn' onclick=\"deleteFile('" + tagId + "','" + fileId + "');\"/>";
    var subDiv = document.createElement("div");
    subDiv.className = "fileDiv";
    subDiv.id = fileId;
    subDiv.innerHTML = html;
    div.appendChild(subDiv);
}

function deleteFile(tagId, fileId)
{
    var parentDiv = document.getElementById(tagId);
    var fileDiv = document.getElementById(fileId);
    parentDiv.removeChild(fileDiv);
}

function setAttachments(data)
{
    var attachments = data.split(";");
    for( i = 0; i < attachments.length; i++ )
    {
        var attachment = attachments[i];
        var params = attachment.split("|");
        var src = params[0];
        var fileId = params[1];
        var tagId = params[2];
        onUploadFileSucceeded(src, fileId, tagId);
    }
}

function getAttachments()
{
    var data = "";
    var attachments = document.getElementsByName("attachName");
    for( i = 0; i < attachments.length; i++ )
    {
        var attachment = attachments[i];
        var name = attachment.innerHTML;
        var attachmentId = attachment.id;
        var components = attachmentId.split("-");
        var tag = components[0];
        var div = document.getElementById(tag);
        var subDivs = div.getElementsByTagName("div");
        if( subDivs.length > 0 )
        {
            var ids = "";
            for( j = 0; j < subDivs.length; j++ )
            {
                var subDiv = subDivs[j];
                if( ids.length > 0 )
                {
                    ids += ",";
                }
                ids += subDiv.id;
            }
            if( data.length > 0 )
            {
                data += ";";
            }
            data += tag + "|" + ids + "|" + name;
        }
    }
    return data;
}

function getAttachmentsForPreview()
{
    var data = "";
    var attachments = document.getElementsByName("attachName");
    for( i = 0; i < attachments.length; i++ )
    {
        var attachment = attachments[i];
        var name = attachment.innerHTML;
        var attachmentId = attachment.id;
        var components = attachmentId.split("-");
        var tag = components[0];
        var div = document.getElementById(tag);
        var subDivs = div.getElementsByTagName("div");
        if( subDivs.length > 0 )
        {
            var srcs = "";
            for( j = 0; j < subDivs.length; j++ )
            {
                var subDiv = subDivs[j];
                var imgElem = subDiv.firstChild;
                var src = imgElem.src;
                if( srcs.length > 0 )
                {
                    srcs += ",";
                }
                srcs += src;
            }
            if( data.length > 0 )
            {
                data += ";";
            }
            data += name + "|" + srcs;
        }
    }
    return data;
}

function getWebViewScrollOffset(){
    return document.body.scrollTop;
}

function getWebViewVisibleHeight(){
    return window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
}
